PETSc version 3.15.5
Fix/Edit manual page

# PetscTimeAdd

Adds the current time of day (in seconds) to the value v.

### Synopsis

    #include <petsctime.h>
    PetscErrorCode PetscTimeAdd(PetscLogDouble *v)

Not Collective

### Input Parameter

| v | - time counter

### Output Parameter

| v | - time counter (v = v + current time)

### Notes

Since the PETSc libraries incorporate timing of phases and operations, we do not ever recommend using PetscTimeAdd(). The options database command -log_view activate PETSc library timing. See Users-Manual: ch_profiling for more details.

### See Also

PetscTime(), PetscTimeSubtract(), PetscLogStageRegister(), PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd()

### Level

developer

### Location

src/sys/time/../../../include/petsctime.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages